<?php
    $mustread_title       = magazine_bell_get_option( 'mustread_title' );
    $mustread_subtitle       = magazine_bell_get_option( 'mustread_subtitle' );
    $mustread_content_type     = magazine_bell_get_option( 'mustread_content_type' );
    $enable_category     = magazine_bell_get_option( 'mustread_category_enable' );
    $enable_content     = magazine_bell_get_option( 'mustread_content_enable' );
    $enable_author     = magazine_bell_get_option( 'mustread_author_enable' );
    $enable_posted_on     = magazine_bell_get_option( 'mustread_posted_on_enable' );
    $number_of_mustread_items  = magazine_bell_get_option( 'number_of_mustread_items' );
    $mustread_category = magazine_bell_get_option( 'mustread_category' );
    $header_font_size = magazine_bell_get_option( 'mustread_font_size');
    $number_of_mustread_column = magazine_bell_get_option('number_of_mustread_column');
    $content_align = magazine_bell_get_option('mustread_content_align');
    $excerpt_length =magazine_bell_get_option( 'mustread_excerpt_length');

    $see_more_txt     = magazine_bell_get_option( 'mustread_see_all_txt' );
    $see_more_url     = magazine_bell_get_option( 'mustread_see_all_url' );

    for( $i=1; $i<=$number_of_mustread_items; $i++ ) :
        $mustread_page_posts[] = absint(magazine_bell_get_option( 'mustread_page_'.$i ) );
        $mustread_post_posts[] = absint(magazine_bell_get_option( 'mustread_post_'.$i ) );
    endfor;

?>
<?php if( !empty($mustread_title) ):?>
    <div class="section-header">
        <?php if (!empty($mustread_title)): ?>
            <h2 class="section-title"><?php echo esc_html($mustread_title);?></h2>
        <?php endif; ?>
    </div>       
<?php endif;?>   

<div class="must-read-wrapper clear col-<?php echo esc_attr($number_of_mustread_column); ?> ">
    <?php 
        $args = array (
            'post_type'     => 'post',
            'post_per_page' => count( $mustread_post_posts ),
            'post__in'      => $mustread_post_posts,
            'orderby'       =>'post__in', 
            'ignore_sticky_posts' => true, 
        ); 
        $loop = new WP_Query($args);                        
        if ( $loop->have_posts() ) :
            $i=0;  
            while ($loop->have_posts()) : $loop->the_post(); $i++;?>        
                <article>
                    <div class="mustread-item-wrapper">
                        <?php if (has_post_thumbnail()) : ?>
                            <div class="post-featured-image">
                                <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'blog-thumbnails');?>');">
                                    <a href="<?php the_permalink();?>" class="post-thumbnail-link"></a>
                                    <?php $homepage_video_url = get_post_meta( get_the_ID(), 'magazine-bell-video-url', true ); ?>
                                    <?php if (!empty($homepage_video_url)): ?>
                                       <a href="<?php the_permalink();?>"> <div class="homepage-video-icon"><i class="fa fa-play"></i></div></a>
                                    <?php endif ?>
                                </div><!-- .featured-image -->
                            </div>
                        <?php endif; ?>
                        <div class="entry-container <?php echo esc_attr($content_align); ?>">
                            <?php if ( ($mustread_content_type !== 'mustread_page') && ($enable_category==true) ) : ?>
                                <div class="entry-meta">
                                    <?php magazine_bell_entry_meta(); ?>
                                </div><!-- .entry-meta -->
                            <?php endif; ?>
                            <header class="entry-header">
                                <h2 class="entry-title" style="font-size: <?php echo esc_attr($header_font_size); ?>px; " ><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                            </header>
                            <?php if (($enable_posted_on==true) || ($enable_author==true)) : ?>
                                <div class="entry-meta">
                                    <?php 
                                        if (($enable_posted_on==true)) {
                                            magazine_bell_posted_on();
                                        } 
                                        if (($enable_author==true)) {
                                            magazine_bell_author();
                                        }
                                     ?>
                                </div><!-- .entry-meta -->
                            <?php endif; ?>
                            <?php if (($enable_content==true)) : ?>
                                <div class="entry-content">
                                    <?php 
                                        $excerpt = magazine_bell_the_excerpt( $excerpt_length );
                                        echo wp_kses_post( wpautop( $excerpt ) );
                                    ?>
                                </div><!-- .entry-content -->
                            <?php endif; ?>  
                        </div><!-- .entry-container -->
                    </div>
                </article>

            <?php endwhile;?>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
</div>
<?php 
    //ads
    $number_of_mustread_ads = magazine_bell_get_option( 'number_of_mustread_ads' );
    $mustread_col = magazine_bell_get_option( 'mustread_column_option' ); 
    $mustread_ads_enable = magazine_bell_get_option( 'disable_mustread_ads_section' ); 
?>
<?php if ($mustread_ads_enable==true): ?>
    <div class="site-advertisement <?php echo esc_attr($mustread_col); ?>">
        <?php for ($i=1; $i <= $number_of_mustread_ads ; $i++) { 
            $mustread_ads_img = magazine_bell_get_option( 'mustread_ads_img_'.$i ); 
            $mustread_ads_url = magazine_bell_get_option( 'mustread_ads_url_'.$i );
            ?>
            <span class="ads-info">
                <a target="_blank" href="<?php echo esc_url($mustread_ads_url) ?>"><img  src="<?php echo esc_url($mustread_ads_img) ?>"></a>
            </span>
        <?php } ?>
    </div>
<?php endif; ?>